Last modified: 2014-01-06 02:07:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18262 - Name and password fields are different sizes on login form in Internet Explorer
Name and password fields are different sizes on login form in Internet Explorer
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
User login and signup (Other open bugs)
1.22.0
All All
: Low enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
: design
: 26951 26952 (view as bug list)
Depends on:
Blocks: 640
  Show dependency treegraph
 
Reported: 2009-03-30 19:07 UTC by Umherirrender
Modified: 2014-01-06 02:07 UTC (History)
3 users (show)

See Also:
Web browser: Internet Explorer
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Screenshot from different login mask (30.76 KB, image/png)
2009-03-30 19:07 UTC, Umherirrender
Details

Description Umherirrender 2009-03-30 19:07:27 UTC
Created attachment 5980 [details]
Screenshot from different login mask

The input fields on the login mask of the Internet Explorer are not equal. The input field for the username is longer than the password field. I have attached a screenshot to show the different between FireFox 3 and Internet Explorer 7.

It can be a browser issue, but I do not know about this. I have only see this behaviour by MediaWiki installation since months ago.

Thanks for explanation or fixed.
Comment 1 Brion Vibber 2009-03-30 19:23:15 UTC
Both fields specify size=20; may be something funky w/ IE deciding password fields should be displayed with a different font or such.

Sizes could be forced with CSS if we care a lot.
Comment 2 Siebrand Mazeland 2009-06-04 11:09:25 UTC
Update Web browser.
Comment 3 Siebrand Mazeland 2009-06-04 11:35:37 UTC
Adding testme. Please test with Internet Explorer 8 and note the result here.
Comment 4 Umherirrender 2009-08-12 07:34:14 UTC
With IE8 it looks the same way
Comment 5 db [inactive,noenotif] 2011-01-28 18:57:34 UTC
*** Bug 26951 has been marked as a duplicate of this bug. ***
Comment 6 Brion Vibber 2011-02-07 01:34:29 UTC
*** Bug 26952 has been marked as a duplicate of this bug. ***
Comment 7 Brion Vibber 2011-02-07 01:36:30 UTC
Per my notes on bug 26952 -- this is a longstanding IE issue which can be easily solved by setting an explicit width on the fields in CSS.

However IE does its default mapping from the input 'size' attribute to a width (presumably based on font metrics in some way), it's a little narrower for password fields.

A CSS width will override that with a more explicit size, which'd be win.
Comment 8 Umherirrender 2012-07-08 19:05:14 UTC
What is the best way to solve this?

Adding

input {font-family:sans-serif}

to all pages or only to pages with a password field? Or adding a css rule with an id selector to the 3 pages (in core) with password fields?

It looks like the sans-serif from the body is not inherit to the password field.

Can some one do this, which has (good) knowledge about css and the different browser? Thanks.
Comment 9 Andre Klapper 2013-04-03 12:01:58 UTC
Confirming for IE7 and IE8 on browserstack.com.
Comment 10 Umherirrender 2014-01-04 20:05:25 UTC
Rewrite of the login fixed this problem. The login and password field on the vertical login form have the same size.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links